Various syntax-check fixes.

Make a pass over the syntax-check files, tightening up regex's,
un-ignoring certain files, and cleaning things up.

Signed-off-by: Chris Lalancette <clalance@redhat.com>
This commit is contained in:
Chris Lalancette 2009-10-23 12:10:38 +02:00
parent 03b5dc14de
commit 4c893ef9be
7 changed files with 30 additions and 20 deletions

View File

@ -1,8 +1,5 @@
ChangeLog ^ChangeLog$
docs/devhelp/libvirt-virterror.html ^ChangeLog-old$
docs/html/libvirt-virterror.html ^include/libvirt/virterror\.h$
docs/libvirt-api.xml ^daemon/dispatch\.c$
docs/libvirt-refs.xml ^src/util/virterror\.c$
include/libvirt/virterror.h
daemon/dispatch.c
src/util/virterror.c

View File

@ -1,3 +1,2 @@
gnulib/lib/getaddrinfo.c ^gnulib/lib/getaddrinfo\.c$
gnulib/m4/ ^gnulib/m4/
src/xend_internal.c

View File

@ -1 +1,8 @@
^gnulib/ ^gnulib/
^ChangeLog-old$
^examples/domain-events/events-c/event-test\.c$
^src/internal\.h$
^src/lxc/lxc_container\.c$
^src/node_device/node_device_devkit\.c$
^src/node_device/node_device_hal\.c$
^src/storage/parthelper\.c$

View File

@ -1 +1 @@
src/util/util.c ^src/util/util\.c$

View File

@ -1,5 +1,4 @@
^examples/ ^examples/
^gnulib/lib/dummy\.c$ ^gnulib/lib/dummy\.c$
^gnulib/tests/dummy\.c$ ^gnulib/tests/dummy\.c$
^daemon/remote_protocol\.c$
^ChangeLog$ ^ChangeLog$

View File

@ -17,12 +17,22 @@ EXTRA_DIST = \
mingw32-libvirt.spec.in \ mingw32-libvirt.spec.in \
libvirt.pc libvirt.pc.in \ libvirt.pc libvirt.pc.in \
autobuild.sh \ autobuild.sh \
.x-sc_avoid_ctype_macros \
.x-sc_avoid_if_before_free \ .x-sc_avoid_if_before_free \
.x-sc_require_config_h_first \ .x-sc_avoid_write \
.x-sc_m4_quote_check \
.x-sc_prohibit_asprintf \
.x-sc_prohibit_gethostby \
.x-sc_prohibit_have_config_h \
.x-sc_prohibit_HAVE_MBRTOWC \
.x-sc_prohibit_nonreentrant \
.x-sc_prohibit_strcmp \ .x-sc_prohibit_strcmp \
.x-sc_prohibit_strcmp_and_strncmp \ .x-sc_prohibit_strcmp_and_strncmp \
.x-sc_prohibit_strncpy \
.x-sc_prohibit_VIR_ERR_NO_MEMORY \
.x-sc_require_config_h \ .x-sc_require_config_h \
.x-sc_prohibit_nonreentrant \ .x-sc_require_config_h_first \
.x-sc_trailing_blank \
Makefile.nonreentrant \ Makefile.nonreentrant \
autogen.sh \ autogen.sh \
examples/domain-events/events-python \ examples/domain-events/events-python \

8
cfg.mk
View File

@ -79,11 +79,9 @@ sc_avoid_write:
# Use STREQ rather than comparing strcmp == 0, or != 0. # Use STREQ rather than comparing strcmp == 0, or != 0.
# Similarly, use STREQLEN or STRPREFIX rather than strncmp. # Similarly, use STREQLEN or STRPREFIX rather than strncmp.
sc_prohibit_strcmp_and_strncmp: sc_prohibit_strcmp_and_strncmp:
@grep -nE '! *strn?cmp *\(|\<strn?cmp *\([^)]+\) *==' \ @re='strn?cmp *\(' \
$$($(VC_LIST_EXCEPT)) \ msg='use STREQ() in place of the above uses of str[n]cmp' \
| grep -vE ':# *define STREQ(LEN)?\(' && \ $(_prohibit_regexp)
{ echo '$(ME): use STREQ(LEN) in place of the above uses of strcmp(strncmp)' \
1>&2; exit 1; } || :
# Use virAsprintf rather than a'sprintf since *strp is undefined on error. # Use virAsprintf rather than a'sprintf since *strp is undefined on error.
sc_prohibit_asprintf: sc_prohibit_asprintf: